# $Revision: 1.26 $, $Date: 2005/12/22 15:00:07 $
#
# Conditional build:
%bcond_with	speedo	# build Speedo fonts (requires Speedo support in X)
#
Summary:	Xorg X11 Fonts
Summary(pl):	Fonty dla systemu Xorg X11
Name:		X11-fonts
Version:	6.9.0
Release:	1
License:	MIT
Group:		Fonts
# We need source0 for arabic fonts
Source0:	ftp://ftp.x.org/pub/X11R%{version}/src/X11R%{version}-src1.tar.gz
# Source0-md5:	9cd255a090e81e2c62637122794e6150
Source1:	ftp://ftp.x.org/pub/X11R%{version}/src/X11R%{version}-src4.tar.gz
# Source1-md5:	bbe69792de6b8fd75b91a7a7d4e0ca47
Source2:	ftp://ftp.x.org/pub/X11R%{version}/src/X11R%{version}-src5.tar.gz
# Source2-md5:	646db7afefe586433c19531eb2f3b8ae
# originally from http://www.biz.net.pl/images/ (404 now)
Source3:	ISO8859-2-bdf.tar.gz
# Source3-md5:	5dd69ab949d833944048b10a97f7a589
Source4:	XFree86-fonts.Fontmap
Source5:	vga.pcf
Patch0:		XFree86-fonts-extras-fix.patch
Patch1:		XFree86-fonts-do_not_run_fccache.patch
Patch2:		%{name}-ISO8859-2.patch
Patch3:		X11-fonts-TTF_build.patch
BuildRequires:	X11
BuildRequires:	X11-devel
BuildRequires:	X11-imake
BuildRequires:	perl-base
BuildRequires:	t1utils
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{name}-base = %{version}
Requires:	%{_fontsdir}/misc
Requires:	%{_fontsdir}/Type1
Provides:	XFree86-fonts = %{version}-%{release}
Obsoletes:	XFree86-fonts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_t1pfmdir	%{_t1fontsdir}/pfm

%description
This package contains some common used fonts. Normally fonts are
needed only by X server (either locally to server or through xfs).

%description -l pl
Pakiet ten zawiera czsto uywane fonty. Zwykle fonty s potrzebne
tylko dla X serwera (lokalnie dla serwera lub poprzez xfs).

%package utils
Summary:	Perl scripts for generating BDF fonts
Summary(pl):	Skrypty perlowe do generowania fontw BDF
Group:		X11
Provides:	XFree86-fonts-utils = %{version}-%{release}
Obsoletes:	XFree86-fonts-utils

%description utils
Perl scripts that allow to generate from an ISO10646-1 encoded BDF
font other BDF fonts in any possible encoding.

%description utils -l pl
Skrypty perlowe pozwalajce wygenerowa z fontw BDF kodowanych w
ISO10646-1 fonty BDF z dowolnym kodowaniem.

%package base
Summary:	Base fonts (cursor and fixed)
Summary(pl):	Podstawowe fonty (cursor i fixed)
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires(triggerpostun):	fontpostinst
Requires:	fontpostinst
Provides:	XFree86-fonts-base = %{version}-%{release}
Obsoletes:	XFree86-fonts-base

%description base
Base fonts (cursor and fixed) needed to start X server.

%description base -l pl
Podstawowe fonty (cursor i fixed) niezbdne do uruchomienia X serwera.

%package ISO8859-1
Summary:	ISO-8859-1 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-1
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-1 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-1

%description ISO8859-1
ISO-8859-1 basic raster fonts.

%description ISO8859-1 -l pl
Podstawowe fonty rastrowe ISO-8859-1.

%package ISO8859-2
Summary:	ISO-8859-2 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-2
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-2 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-2

%description ISO8859-2
ISO-8859-2 basic raster fonts.

%description ISO8859-2 -l pl
Podstawowe fonty rastrowe ISO-8859-2.

%package ISO8859-3
Summary:	ISO-8859-3 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-3
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-3 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-3

%description ISO8859-3
ISO-8859-3 basic raster fonts.

%description ISO8859-3 -l pl
Podstawowe fonty rastrowe ISO-8859-3.

%package ISO8859-4
Summary:	ISO-8859-4 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-4
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-4 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-4

%description ISO8859-4
ISO-8859-4 basic raster fonts.

%description ISO8859-4 -l pl
Podstawowe fonty rastrowe ISO-8859-4.

%package ISO8859-5
Summary:	ISO-8859-5 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-5
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-5 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-5

%description ISO8859-5
Basic ISO-8859-5 raster fonts.

%description ISO8859-5 -l pl
Podstawowe fonty rastrowe ISO-8859-5.

%package ISO8859-6
Summary:	ISO-8859-6 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-6
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-6 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-6

%description ISO8859-6
ISO-8859-6 basic raster fonts.

%description ISO8859-6 -l pl
Podstawowe fonty rastrowe ISO-8859-6.

%package ISO8859-7
Summary:	ISO-8859-7 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-7
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-7 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-7

%description ISO8859-7
ISO-8859-7 basic raster fonts.

%description ISO8859-7 -l pl
Podstawowe fonty rastrowe ISO-8859-7.

%package ISO8859-8
Summary:	ISO-8859-8 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-8
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-8 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-8

%description ISO8859-8
ISO-8859-8 basic raster fonts.

%description ISO8859-8 -l pl
Podstawowe fonty rastrowe ISO-8859-8.

%package ISO8859-9
Summary:	ISO-8859-9 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-9
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-9 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-9

%description ISO8859-9
ISO-8859-9 basic raster fonts.

%description ISO8859-9 -l pl
Podstawowe fonty rastrowe ISO-8859-9.

%package ISO8859-10
Summary:	ISO-8859-10 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-10
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-10 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-10

%description ISO8859-10
ISO-8859-10 basic raster fonts.

%description ISO8859-10 -l pl
Podstawowe fonty rastrowe ISO-8859-10.

%package ISO8859-11
Summary:	ISO-8859-11 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-11
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-11 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-11

%description ISO8859-11
ISO-8859-11 basic raster fonts.

%description ISO8859-11 -l pl
Podstawowe fonty rastrowe ISO-8859-11.

%package ISO8859-12
Summary:	ISO-8859-12 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-12
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-12 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-12

%description ISO8859-12
ISO-8859-12 basic raster fonts.

%description ISO8859-12 -l pl
Podstawowe fonty rastrowe ISO-8859-12.

%package ISO8859-13
Summary:	ISO-8859-13 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-13
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-13 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-13

%description ISO8859-13
ISO-8859-13 basic raster fonts.

%description ISO8859-13 -l pl
Podstawowe fonty rastrowe ISO-8859-13.

%package ISO8859-14
Summary:	ISO-8859-14 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-14
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-14 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-14

%description ISO8859-14
ISO-8859-14 basic raster fonts.

%description ISO8859-14 -l pl
Podstawowe fonty rastrowe ISO-8859-14.

%package ISO8859-15
Summary:	ISO-8859-15 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-15
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-15 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-15

%description ISO8859-15
ISO-8859-15 basic raster fonts.

%description ISO8859-15 -l pl
Podstawowe fonty rastrowe ISO-8859-15.

%package ISO8859-16
Summary:	ISO-8859-16 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe ISO-8859-16
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-ISO8859-16 = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-16

%description ISO8859-16
ISO-8859-16 basic raster fonts.

%description ISO8859-16 -l pl
Podstawowe fonty rastrowe ISO-8859-16.

%package JISX0201.1976-0
Summary:	JISX0201.1976-0 basic raster fonts
Summary(pl):	Podstawowe fonty rastrowe JISX0201.1976-0
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-JISX0201.1976-0 = %{version}-%{release}
Obsoletes:	XFree86-fonts-JISX0201.1976-0

%description JISX0201.1976-0
JISX0201.1976-0 basic raster fonts.

%description JISX0201.1976-0 -l pl
Podstawowe fonty rastrowe JISX0201.1976-0.

%package KOI8-R
Summary:	KOI8-R (cyrillic) raster fonts
Summary(pl):	Fonty rastrowe KOI8-R (cyrylica)
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/misc
Provides:	XFree86-fonts-KOI8-R = %{version}-%{release}
Obsoletes:	XFree86-fonts-KOI8-R

%description KOI8-R
KOI8-R (cyrillic) raster fonts.

%description KOI8-R -l pl
Fonty rastrowe KOI8-R (cyrylica).

%package 75dpi
Summary:	X11R6 75dpi raster fonts
Summary(de):	X11R6 75 dpi-Fonts
Summary(fr):	Fontes 75 dpi X11R6
Summary(pl):	Fonty rastrowe o rozdzielczoci 75dpi
Summary(tr):	X11R6 75dpi yaztipleri
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Provides:	XFree86-fonts-75dpi = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi
Obsoletes:	X11R6.1-75dpi-fonts

%description 75dpi
The 75dpi fonts used on most Linux systems. Users with high resolution
displays may prefer the 100dpi fonts available in a separate package.

%description 75dpi -l de
Die 75dpi-Fonts, die auf meisten Linux-Systemen verwendet werden. Fr
Benutzer mit einer hochauflsender Darstellung sind die 100dpi-Fonts
eines getrennt erhltlichen Pakets besser geeignet.

%description 75dpi -l fr
Fontes 75 dpi utilises sur la plupart des systmes Linux. Ceux qui
ont des crans  haute rsolution prfreront les fontes 100 dpi
disponibles dans un autre paquetage.

%description 75dpi -l pl
Pakiet ten zawiera fonty rastrowe 75dpi. W wypadku wikszej
rozdzielczoci zalecane s fonty 100dpi, ktre s dostpne w osobnym
pakiecie.

%description 75dpi -l tr
ou Linux sisteminde 75dpi yaztipi kullanlr. Yksek znrlk
kullanan kullanclar 100dpi yaztiplerini yeleyebilirler.

%package 75dpi-ISO8859-1
Summary:	ISO-8859-1 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-1 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-1 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-1

%description 75dpi-ISO8859-1
ISO-8859-1 75dpi raster fonts.

%description 75dpi-ISO8859-1 -l pl
Fonty rastrowe ISO-8859-1 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-2
Summary:	ISO-8859-2 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-2 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-2 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-2

%description 75dpi-ISO8859-2
ISO-8859-2 75dpi raster fonts.

%description 75dpi-ISO8859-2 -l pl
Fonty rastrowe ISO-8859-2 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-3
Summary:	ISO-8859-3 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-3 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-3 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-3

%description 75dpi-ISO8859-3
ISO-8859-3 75dpi raster fonts.

%description 75dpi-ISO8859-3 -l pl
Fonty rastrowe ISO-8859-3 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-4
Summary:	ISO-8859-4 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-4 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-4 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-4

%description 75dpi-ISO8859-4
ISO-8859-4 75dpi raster fonts.

%description 75dpi-ISO8859-4 -l pl
Fonty rastrowe ISO-8859-4 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-5
Summary:	ISO-8859-5 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-5 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-5 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-5

%description 75dpi-ISO8859-5
ISO-8859-5 75dpi raster fonts.

%description 75dpi-ISO8859-5 -l pl
Fonty rastrowe ISO-8859-5 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-6
Summary:	ISO-8859-6 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-6 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-6 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-6

%description 75dpi-ISO8859-6
ISO-8859-6 75dpi raster fonts.

%description 75dpi-ISO8859-6 -l pl
Fonty rastrowe ISO-8859-6 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-7
Summary:	ISO-8859-7 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-7 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-7 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-7

%description 75dpi-ISO8859-7
ISO-8859-7 75dpi raster fonts.

%description 75dpi-ISO8859-7 -l pl
Fonty rastrowe ISO-8859-7 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-8
Summary:	ISO-8859-8 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-8 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-8 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-8

%description 75dpi-ISO8859-8
ISO-8859-8 75dpi raster fonts.

%description 75dpi-ISO8859-8 -l pl
Fonty rastrowe ISO-8859-8 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-9
Summary:	ISO-8859-9 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-9 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-9 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-9

%description 75dpi-ISO8859-9
ISO-8859-9 75dpi raster fonts.

%description 75dpi-ISO8859-9 -l pl
Fonty rastrowe ISO-8859-9 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-10
Summary:	ISO-8859-10 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-10 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-10 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-10

%description 75dpi-ISO8859-10
ISO-8859-10 75dpi raster fonts.

%description 75dpi-ISO8859-10 -l pl
Fonty rastrowe ISO-8859-10 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-11
Summary:	ISO-8859-11 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-11 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-11 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-11

%description 75dpi-ISO8859-11
ISO-8859-11 75dpi raster fonts.

%description 75dpi-ISO8859-11 -l pl
Fonty rastrowe ISO-8859-11 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-12
Summary:	ISO-8859-12 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-12 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-12 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-12

%description 75dpi-ISO8859-12
ISO-8859-12 75dpi raster fonts.

%description 75dpi-ISO8859-12 -l pl
Fonty rastrowe ISO-8859-12 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-13
Summary:	ISO-8859-13 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-13 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-13 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-13

%description 75dpi-ISO8859-13
ISO-8859-13 75dpi raster fonts.

%description 75dpi-ISO8859-13 -l pl
Fonty rastrowe ISO-8859-13 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-14
Summary:	ISO-8859-14 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-14 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-14 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-14

%description 75dpi-ISO8859-14
ISO-8859-14 75dpi raster fonts.

%description 75dpi-ISO8859-14 -l pl
Fonty rastrowe ISO-8859-14 o rozdzielczoci 75dpi.

%package 75dpi-ISO8859-15
Summary:	ISO-8859-15 75dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-15 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-ISO8859-15 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-ISO8859-15

%description 75dpi-ISO8859-15
ISO-8859-15 75dpi raster fonts.

%description 75dpi-ISO8859-15 -l pl
Fonty rastrowe ISO-8859-15 o rozdzielczoci 75dpi.

%package 75dpi-JISX0201.1976-0
Summary:	JISX0201.1976-0 75dpi raster fonts
Summary(pl):	Fonty rastrowe JISX0201.1976-0 o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-JISX0201.1976-0 = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-JISX0201.1976-0

%description 75dpi-JISX0201.1976-0
JISX0201.1976-0 75dpi raster fonts.

%description 75dpi-JISX0201.1976-0 -l pl
Fonty rastrowe JISX0201.1976-0 o rozdzielczoci 75dpi.

%package 75dpi-KOI8-R
Summary:	KOI8-R 75dpi raster fonts
Summary(pl):	Fonty rastrowe KOI8-R o rozdzielczoci 75dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/75dpi
Provides:	XFree86-fonts-75dpi-KOI8-R = %{version}-%{release}
Obsoletes:	XFree86-fonts-75dpi-KOI8-R

%description 75dpi-KOI8-R
KOI8-R 75dpi raster fonts.

%description 75dpi-KOI8-R -l pl
Fonty rastrowe ISO-KOI8-R o rozdzielczoci 75dpi.

%package 100dpi
Summary:	X11R6 100dpi raster fonts
Summary(de):	X11R6 100dpi-Fonts
Summary(fr):	Fontes 100ppp pour X11R6
Summary(pl):	Fonty rastrowe o rozdzielczoci 100dpi
Summary(tr):	X11R6 100dpi yaztipleri
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Provides:	XFree86-fonts-100dpi = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi
Obsoletes:	X11R6.1-100dpi-fonts

%description 100dpi
The 100dpi fonts used on most Linux systems. Users with low resolution
displays may prefer the 75dpi fonts available in a separate package.

%description 100dpi -l de
Die 100dpi-Schriftarten, die auf den meisten Linux-Systemen zum
Einsatz kommen. Anwender mit hochauflsenden Monitoren ziehen unter
Umstnden die 100dpi-Schriften vor, die in einem separaten Paket
erhltlich sind.

%description 100dpi -l fr
Les fontes 100dpi sont utilises par la plupart des systmes Linux.
Les utilisateurs ayant des hautes rsolutions peuvent prfrer les
fontes 100dpi disponibles dans un package spar.

%description 100dpi -l pl
Pakiet ten zawiera fonty rastrowe 100dpi. Bed one potrzebne przy
pracy w duych rozdzielczociach.

%description 100dpi -l tr
Yksek znrlk kullanan kullanclar 100dpi yaztiplerini 75dpi
olanlara yeleyebilirler.

%package 100dpi-ISO8859-1
Summary:	ISO-8859-1 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-1 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-1 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-1

%description 100dpi-ISO8859-1
ISO-8859-1 100dpi raster fonts.

%description 100dpi-ISO8859-1 -l pl
Fonty rastrowe ISO-8859-1 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-2
Summary:	ISO-8859-2 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-2 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-2 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-2

%description 100dpi-ISO8859-2
ISO-8859-2 100dpi raster fonts.

%description 100dpi-ISO8859-2 -l pl
Fonty rastrowe ISO-8859-2 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-3
Summary:	ISO-8859-3 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-3 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-3 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-3

%description 100dpi-ISO8859-3
ISO-8859-3 100dpi raster fonts.

%description 100dpi-ISO8859-3 -l pl
Fonty rastrowe ISO-8859-3 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-4
Summary:	ISO-8859-4 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-4 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-4 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-4

%description 100dpi-ISO8859-4
ISO-8859-4 100dpi raster fonts.

%description 100dpi-ISO8859-4 -l pl
Fonty rastrowe ISO-8859-4 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-5
Summary:	ISO-8859-5 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-5 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-5 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-5

%description 100dpi-ISO8859-5
ISO-8859-5 100dpi raster fonts.

%description 100dpi-ISO8859-5 -l pl
Fonty rastrowe ISO-8859-5 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-6
Summary:	ISO-8859-6 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-6 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-6 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-6

%description 100dpi-ISO8859-6
ISO-8859-6 100dpi raster fonts.

%description 100dpi-ISO8859-6 -l pl
Fonty rastrowe ISO-8859-6 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-7
Summary:	ISO-8859-7 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-7 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-7 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-7

%description 100dpi-ISO8859-7
ISO-8859-7 100dpi raster fonts.

%description 100dpi-ISO8859-7 -l pl
Fonty rastrowe ISO-8859-7 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-8
Summary:	ISO-8859-8 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-8 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-8 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-8

%description 100dpi-ISO8859-8
ISO-8859-8 100dpi raster fonts.

%description 100dpi-ISO8859-8 -l pl
Fonty rastrowe ISO-8859-8 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-9
Summary:	ISO-8859-9 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-9 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-9 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-9

%description 100dpi-ISO8859-9
ISO-8859-9 100dpi raster fonts.

%description 100dpi-ISO8859-9 -l pl
Fonty rastrowe ISO-8859-9 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-10
Summary:	ISO-8859-10 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-10 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-10 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-10

%description 100dpi-ISO8859-10
ISO-8859-10 100dpi raster fonts.

%description 100dpi-ISO8859-10 -l pl
Fonty rastrowe ISO-8859-10 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-11
Summary:	ISO-8859-11 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-11 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-11 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-11

%description 100dpi-ISO8859-11
ISO-8859-11 100dpi raster fonts.

%description 100dpi-ISO8859-11 -l pl
Fonty rastrowe ISO-8859-11 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-12
Summary:	ISO-8859-12 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-12 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-12 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-12

%description 100dpi-ISO8859-12
ISO-8859-12 100dpi raster fonts.

%description 100dpi-ISO8859-12 -l pl
Fonty rastrowe ISO-8859-12 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-13
Summary:	ISO-8859-13 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-13 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-13 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-13

%description 100dpi-ISO8859-13
ISO-8859-13 100dpi raster fonts.

%description 100dpi-ISO8859-13 -l pl
Fonty rastrowe ISO-8859-13 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-14
Summary:	ISO-8859-14 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-14 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-14 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-14

%description 100dpi-ISO8859-14
ISO-8859-14 100dpi raster fonts.

%description 100dpi-ISO8859-14 -l pl
Fonty rastrowe ISO-8859-14 o rozdzielczoci 100dpi.

%package 100dpi-ISO8859-15
Summary:	ISO-8859-15 100dpi raster fonts
Summary(pl):	Fonty rastrowe ISO-8859-15 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-ISO8859-15 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-ISO8859-15

%description 100dpi-ISO8859-15
ISO-8859-15 100dpi raster fonts.

%description 100dpi-ISO8859-15 -l pl
Fonty rastrowe ISO-8859-15 o rozdzielczoci 100dpi.

%package 100dpi-JISX0201.1976-0
Summary:	JISX0201.1976-0 100dpi raster fonts
Summary(pl):	Fonty rastrowe JISX0201.1976-0 o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-JISX0201.1976-0 = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-JISX0201.1976-0

%description 100dpi-JISX0201.1976-0
JISX0201.1976-0 100dpi raster fonts.

%description 100dpi-JISX0201.1976-0 -l pl
Fonty rastrowe JISX0201.1976-0 o rozdzielczoci 100dpi.

%package 100dpi-KOI8-R
Summary:	KOI8-R 100dpi raster fonts
Summary(pl):	Fonty rastrowe KOI8-R o rozdzielczoci 100dpi
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/100dpi
Provides:	XFree86-fonts-100dpi-KOI8-R = %{version}-%{release}
Obsoletes:	XFree86-fonts-100dpi-KOI8-R

%description 100dpi-KOI8-R
KOI8-R 100dpi raster fonts.

%description 100dpi-KOI8-R -l pl
Fonty rastrowe KOI8-R o rozdzielczoci 100dpi.

%package Ethiopic
Summary:	Ethiopic OpenType and TrueType fonts
Summary(pl):	Etiopskie fonty OpenType i TrueType
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/OTF
Requires:	%{_fontsdir}/TTF
Provides:	XFree86-fonts-Ethiopic = %{version}-%{release}
Obsoletes:	XFree86-fonts-Ethiopic

%description Ethiopic
Ethiopic OpenType and TrueType fonts.

%description Ethiopic -l pl
Etiopskie fonty OpenType i TrueType.

%package Syriac
Summary:	Syriac OpenType fonts
Summary(pl):	Starosyryjskie fonty OpenType
License:	distributable without modifications
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/OTF
Provides:	XFree86-fonts-Syriac = %{version}-%{release}
Obsoletes:	XFree86-fonts-Syriac

%description Syriac
Syriac OpenType fonts.

%description Syriac -l pl
Starosyryjskie fonty OpenType.

%prep
%setup -qc -a1 -a2 -a3
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

cp -f xc/extras/fonts/arabic24/*.bdf xc/fonts/bdf/misc
cp -f xc/extras/fonts/ClearlyU/*.bdf xc/fonts/bdf/misc

# move BIZNET ISO8859-2 fonts to main tree
# (these fonts are still ISO8859-1 only in X11)
for i in {misc/{12x24,8x16},{75,100}dpi/{char,term}}*.bdf ; do
	j="`echo $i | sed 's/\.bdf$//'`-ISO8859-2.bdf"
	mv -f $i xc/fonts/bdf/$j
done

find . -type f -name '*.pl' -exec chmod 755 "{}" ";"

%build
cd xc/fonts
imake -DBuildFonts -DUseInstalled -I%{_prefix}/lib/X11/config
%{__make} Makefiles
cd scaled
imake -DBuildFonts -DBuildEthiopicFonts -DBuildBethMarduthoFonts \
	-DUseInstalled -I%{_prefix}/lib/X11/config
%{__make} Makefiles
cd ..
%{__make} depend
cd ..
%{__make} -C fonts \
	TOP=`pwd` \
	UCS2ANY=`pwd`/fonts/util/ucs2any.pl \
	BDFTRUNCATE=`pwd`/fonts/util/bdftruncate.pl \
	UCSMAPPREFIX=`pwd`/fonts/util/map- \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_t1afmdir}

cd xc
%{__make} -C fonts install \
	TOP=`pwd` \
	UCS2ANY=`pwd`/fonts/util/ucs2any.pl \
	BDFTRUNCATE=`pwd`/fonts/util/bdftruncate.pl \
	UCSMAPPREFIX=`pwd`/fonts/util/map- \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C fonts install.man \
	TOP=`pwd` \
	UCS2ANY=`pwd`/fonts/util/ucs2any.pl \
	BDFTRUNCATE=`pwd`/fonts/util/bdftruncate.pl \
	UCSMAPPREFIX=`pwd`/fonts/util/map- \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

# separate *.afm, convert *.pfa to .pfb
mv -f $RPM_BUILD_ROOT%{_t1fontsdir}/*.afm $RPM_BUILD_ROOT%{_t1afmdir}
cd $RPM_BUILD_ROOT%{_t1fontsdir}
for f in *.pfa ; do
	t1binary $f `basename $f .pfa`.pfb
	rm -f $f
done
cd -

# split fonts.alias (separate "fixed")
grep -v '^fixed[ \t]' $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias \
	> $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias.10X11-fonts
grep '^fixed[ \t].*' $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias \
	> $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias.00X11-fonts-base
rm -f $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias

# support merging font aliases from other packages
mv -f $RPM_BUILD_ROOT%{_fontsdir}/cyrillic/fonts.alias{,.%{name}-KOI8-R}
mv -f $RPM_BUILD_ROOT%{_fontsdir}/75dpi/fonts.alias{,.%{name}-75dpi-ISO8859-1}
mv -f $RPM_BUILD_ROOT%{_fontsdir}/100dpi/fonts.alias{,.%{name}-100dpi-ISO8859-1}
# aliases for biznet ISO8859-2 fonts
install misc/fonts.alias $RPM_BUILD_ROOT%{_fontsdir}/misc/fonts.alias.%{name}-ISO8859-2
grep -e 'biznet-\(chartis\|terminal\)' 75dpi/fonts.alias \
	> $RPM_BUILD_ROOT%{_fontsdir}/75dpi/fonts.alias.%{name}-75dpi-ISO8859-2
grep -e 'biznet-\(chartis\|terminal\)' 100dpi/fonts.alias \
	> $RPM_BUILD_ROOT%{_fontsdir}/100dpi/fonts.alias.%{name}-100dpi-ISO8859-2

# mkfontscale is not able to generate proper fonts.scale for these Type1 fonts
tail -n +2 xc/fonts/scaled/Type1/fonts.scale | sed -e 's/\.pfa/\.pfb/' \
	> $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}
rm -f $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale
# Fontmap for Type1 fonts (generated by type1inst)
install %{SOURCE4} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}

%if %{with speedo}
# mkfontscale doesn't support Speedo fonts
tail -n +2 $RPM_BUILD_ROOT%{_fontsdir}/Speedo/fonts.scale \
	> $RPM_BUILD_ROOT%{_fontsdir}/Speedo/fonts.scale.X11-fonts
rm -f $RPM_BUILD_ROOT%{_fontsdir}/Speedo/fonts.scale
%endif

install %{SOURCE5} $RPM_BUILD_ROOT%{_fontsdir}/misc
gzip -9nf $RPM_BUILD_ROOT%{_fontsdir}/misc/vga.pcf

install xc/fonts/util/ucs2any.pl $RPM_BUILD_ROOT%{_bindir}/ucs2any

rm -f $RPM_BUILD_ROOT%{_fontsdir}/TTF/Vera*.ttf

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc
%if %{with speedo}
fontpostinst Speedo
%endif
fontpostinst TTF
fontpostinst Type1
fontpostinst local

%postun
fontpostinst misc
%if %{with speedo}
fontpostinst Speedo
%endif
fontpostinst TTF
fontpostinst Type1
fontpostinst local

%post base
fontpostinst misc

%postun base
fontpostinst misc

%triggerpostun base -- X11-fonts < 4.2.0-6
fontpostinst misc

%post ISO8859-1
fontpostinst misc

%postun ISO8859-1
fontpostinst misc

%post ISO8859-2
fontpostinst misc

%postun ISO8859-2
fontpostinst misc

%post ISO8859-3
fontpostinst misc

%postun ISO8859-3
fontpostinst misc

%post ISO8859-4
fontpostinst misc

%postun ISO8859-4
fontpostinst misc

%post ISO8859-5
fontpostinst misc

%postun ISO8859-5
fontpostinst misc

%post ISO8859-6
fontpostinst misc

%postun ISO8859-6
fontpostinst misc

%post ISO8859-7
fontpostinst misc

%postun ISO8859-7
fontpostinst misc

%post ISO8859-8
fontpostinst misc

%postun ISO8859-8
fontpostinst misc

%post ISO8859-9
fontpostinst misc

%postun ISO8859-9
fontpostinst misc

%post ISO8859-10
fontpostinst misc

%postun ISO8859-10
fontpostinst misc

%post ISO8859-11
fontpostinst misc

%postun ISO8859-11
fontpostinst misc

%post ISO8859-12
fontpostinst misc

%postun ISO8859-12
fontpostinst misc

%post ISO8859-13
fontpostinst misc

%postun ISO8859-13
fontpostinst misc

%post ISO8859-14
fontpostinst misc

%postun ISO8859-14
fontpostinst misc

%post ISO8859-15
fontpostinst misc

%postun ISO8859-15
fontpostinst misc

%post ISO8859-16
fontpostinst misc

%postun ISO8859-16
fontpostinst misc

%post JISX0201.1976-0
fontpostinst misc

%postun JISX0201.1976-0
fontpostinst misc

%post KOI8-R
fontpostinst misc
fontpostinst cyrillic

%postun KOI8-R
fontpostinst misc
fontpostinst cyrillic

%post 75dpi
fontpostinst 75dpi

%postun 75dpi
fontpostinst 75dpi

%post 75dpi-ISO8859-1
fontpostinst 75dpi

%postun 75dpi-ISO8859-1
fontpostinst 75dpi

%post 75dpi-ISO8859-2
fontpostinst 75dpi

%postun 75dpi-ISO8859-2
fontpostinst 75dpi

%post 75dpi-ISO8859-3
fontpostinst 75dpi

%postun 75dpi-ISO8859-3
fontpostinst 75dpi

%post 75dpi-ISO8859-4
fontpostinst 75dpi

%postun 75dpi-ISO8859-4
fontpostinst 75dpi

%post 75dpi-ISO8859-5
fontpostinst 75dpi

%postun 75dpi-ISO8859-5
fontpostinst 75dpi

%post 75dpi-ISO8859-6
fontpostinst 75dpi

%postun 75dpi-ISO8859-6
fontpostinst 75dpi

%post 75dpi-ISO8859-7
fontpostinst 75dpi

%postun 75dpi-ISO8859-7
fontpostinst 75dpi

%post 75dpi-ISO8859-8
fontpostinst 75dpi

%postun 75dpi-ISO8859-8
fontpostinst 75dpi

%post 75dpi-ISO8859-9
fontpostinst 75dpi

%postun 75dpi-ISO8859-9
fontpostinst 75dpi

%post 75dpi-ISO8859-10
fontpostinst 75dpi

%postun 75dpi-ISO8859-10
fontpostinst 75dpi

%post 75dpi-ISO8859-11
fontpostinst 75dpi

%postun 75dpi-ISO8859-11
fontpostinst 75dpi

%post 75dpi-ISO8859-12
fontpostinst 75dpi

%postun 75dpi-ISO8859-12
fontpostinst 75dpi

%post 75dpi-ISO8859-13
fontpostinst 75dpi

%postun 75dpi-ISO8859-13
fontpostinst 75dpi

%post 75dpi-ISO8859-14
fontpostinst 75dpi

%postun 75dpi-ISO8859-14
fontpostinst 75dpi

%post 75dpi-ISO8859-15
fontpostinst 75dpi

%postun 75dpi-ISO8859-15
fontpostinst 75dpi

%post 75dpi-JISX0201.1976-0
fontpostinst 75dpi

%postun 75dpi-JISX0201.1976-0
fontpostinst 75dpi

%post 75dpi-KOI8-R
fontpostinst 75dpi

%postun 75dpi-KOI8-R
fontpostinst 75dpi

%post 100dpi
fontpostinst 100dpi

%postun 100dpi
fontpostinst 100dpi

%post 100dpi-ISO8859-1
fontpostinst 100dpi

%postun 100dpi-ISO8859-1
fontpostinst 100dpi

%post 100dpi-ISO8859-2
fontpostinst 100dpi

%postun 100dpi-ISO8859-2
fontpostinst 100dpi

%post 100dpi-ISO8859-3
fontpostinst 100dpi

%postun 100dpi-ISO8859-3
fontpostinst 100dpi

%post 100dpi-ISO8859-4
fontpostinst 100dpi

%postun 100dpi-ISO8859-4
fontpostinst 100dpi

%post 100dpi-ISO8859-5
fontpostinst 100dpi

%postun 100dpi-ISO8859-5
fontpostinst 100dpi

%post 100dpi-ISO8859-6
fontpostinst 100dpi

%postun 100dpi-ISO8859-6
fontpostinst 100dpi

%post 100dpi-ISO8859-7
fontpostinst 100dpi

%postun 100dpi-ISO8859-7
fontpostinst 100dpi

%post 100dpi-ISO8859-8
fontpostinst 100dpi

%postun 100dpi-ISO8859-8
fontpostinst 100dpi

%post 100dpi-ISO8859-9
fontpostinst 100dpi

%postun 100dpi-ISO8859-9
fontpostinst 100dpi

%post 100dpi-ISO8859-10
fontpostinst 100dpi

%postun 100dpi-ISO8859-10
fontpostinst 100dpi

%post 100dpi-ISO8859-11
fontpostinst 100dpi

%postun 100dpi-ISO8859-11
fontpostinst 100dpi

%post 100dpi-ISO8859-12
fontpostinst 100dpi

%postun 100dpi-ISO8859-12
fontpostinst 100dpi

%post 100dpi-ISO8859-13
fontpostinst 100dpi

%postun 100dpi-ISO8859-13
fontpostinst 100dpi

%post 100dpi-ISO8859-14
fontpostinst 100dpi

%postun 100dpi-ISO8859-14
fontpostinst 100dpi

%post 100dpi-ISO8859-15
fontpostinst 100dpi

%postun 100dpi-ISO8859-15
fontpostinst 100dpi

%post 100dpi-JISX0201.1976-0
fontpostinst 100dpi

%postun 100dpi-JISX0201.1976-0
fontpostinst 100dpi

%post 100dpi-KOI8-R
fontpostinst 100dpi

%postun 100dpi-KOI8-R
fontpostinst 100dpi

%post Ethiopic
fontpostinst OTF
fontpostinst TTF

%postun Ethiopic
fontpostinst OTF
fontpostinst TTF

%post Syriac
fontpostinst OTF

%postun Syriac
fontpostinst OTF

%files
%defattr(644,root,root,755)
%{_fontsdir}/encodings

%{_fontsdir}/misc/*.pcf.gz
%exclude %{_fontsdir}/misc/*-ISO8859-*.pcf.gz
%exclude %{_fontsdir}/misc/*-JISX0201.1976-0.pcf.gz
%exclude %{_fontsdir}/misc/*-KOI8-R.pcf.gz
%exclude %{_fontsdir}/misc/cursor.pcf.gz
%exclude %{_fontsdir}/misc/*ja.pcf.gz
%exclude %{_fontsdir}/misc/jiskan*.pcf.gz
%{_fontsdir}/misc/fonts.alias.10X11-fonts

%dir %{_fontsdir}/OTF

%if %{with speedo}
%dir %{_fontsdir}/Speedo
%{_fontsdir}/Speedo/*.spd
%{_fontsdir}/Speedo/fonts.scale.%{name}
%ghost %{_fontsdir}/Speedo/fonts.dir
%endif

%{_fontsdir}/TTF/luxi*.ttf
%ghost %{_fontsdir}/TTF/fonts.dir

# These fonts are in fonts-ttf-bitstream-vera package
##%{_fontsdir}/TTF/Vera*.ttf

%{_t1fontsdir}/*[a-z_].pfb
%{_t1fontsdir}/*.%{name}
%{_t1afmdir}/*[a-z_].afm

%dir %{_fontsdir}/local
%ghost %{_fontsdir}/local/fonts.dir

%files base
%defattr(644,root,root,755)
%{_fontsdir}/misc/cursor.pcf.gz
%{_fontsdir}/misc/6x13-ISO8859-1.pcf.gz
%{_fontsdir}/misc/fonts.alias.00X11-fonts-base
%ghost %{_fontsdir}/misc/fonts.dir

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_fontsdir}/util
%{_mandir}/man1/*

%files ISO8859-1
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-1.pcf.gz
%exclude %{_fontsdir}/misc/6x13-ISO8859-1.pcf.gz

%files ISO8859-2
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-2.pcf.gz
%{_fontsdir}/misc/fonts.alias.%{name}-ISO8859-2

%files ISO8859-3
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-3.pcf.gz

%files ISO8859-4
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-4.pcf.gz

%files ISO8859-5
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-5.pcf.gz

#%files ISO8859-6
#%defattr(644,root,root,755)
#%%{_fontsdir}/misc/*ISO8859-6.pcf.gz

%files ISO8859-7
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-7.pcf.gz

%files ISO8859-8
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-8.pcf.gz

%files ISO8859-9
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-9.pcf.gz

%files ISO8859-10
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-10.pcf.gz

%files ISO8859-11
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-11.pcf.gz

#%files ISO8859-12
#%defattr(644,root,root,755)
#%%{_fontsdir}/misc/*ISO8859-12.pcf.gz

%files ISO8859-13
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-13.pcf.gz

%files ISO8859-14
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-14.pcf.gz

%files ISO8859-15
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-15.pcf.gz

%files ISO8859-16
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-16.pcf.gz

%files JISX0201.1976-0
%defattr(644,root,root,755)
%{_fontsdir}/misc/*JISX0201.1976-0.pcf.gz
%{_fontsdir}/misc/*ja.pcf.gz
%{_fontsdir}/misc/jiskan*.pcf.gz

%files KOI8-R
%defattr(644,root,root,755)
%{_fontsdir}/misc/*KOI8-R.pcf.gz
%dir %{_fontsdir}/cyrillic
%{_fontsdir}/cyrillic/*.pcf.gz
%{_fontsdir}/cyrillic/fonts.alias.%{name}-KOI8-R
%ghost %{_fontsdir}/cyrillic/fonts.dir

%files 75dpi
%defattr(644,root,root,755)
%dir %{_fontsdir}/75dpi
%{_fontsdir}/75dpi/*[a-zA-Z_][0-9][0-9].pcf.gz
%ghost %{_fontsdir}/75dpi/fonts.dir

%files 75dpi-ISO8859-1
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-1.pcf.gz
%{_fontsdir}/75dpi/fonts.alias.%{name}-75dpi-ISO8859-1

%files 75dpi-ISO8859-2
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-2.pcf.gz
%{_fontsdir}/75dpi/fonts.alias.%{name}-75dpi-ISO8859-2

%files 75dpi-ISO8859-3
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-3.pcf.gz

%files 75dpi-ISO8859-4
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-4.pcf.gz

#%files 75dpi-ISO8859-5
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-5.pcf.gz

#%files 75dpi-ISO8859-6
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-6.pcf.gz

#%files 75dpi-ISO8859-7
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-7.pcf.gz

#%files 75dpi-ISO8859-8
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-8.pcf.gz

%files 75dpi-ISO8859-9
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-9.pcf.gz

%files 75dpi-ISO8859-10
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-10.pcf.gz

#%files 75dpi-ISO8859-11
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-11.pcf.gz

#%files 75dpi-ISO8859-12
#%defattr(644,root,root,755)
#%%{_fontsdir}/75dpi/*ISO8859-12.pcf.gz

%files 75dpi-ISO8859-13
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-13.pcf.gz

%files 75dpi-ISO8859-14
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-14.pcf.gz

%files 75dpi-ISO8859-15
%defattr(644,root,root,755)
%{_fontsdir}/75dpi/*ISO8859-15.pcf.gz

#%files 75dpi-JISX0201.1976-0
#%defattr(644,root,root,755)

#%files 75dpi-KOI8-R
#%defattr(644,root,root,755)

%files 100dpi
%defattr(644,root,root,755)
%dir %{_fontsdir}/100dpi
%{_fontsdir}/100dpi/*[a-zA-Z_][0-9][0-9].pcf.gz
%ghost %{_fontsdir}/100dpi/fonts.dir

%files 100dpi-ISO8859-1
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-1.pcf.gz
%{_fontsdir}/100dpi/fonts.alias.%{name}-100dpi-ISO8859-1

%files 100dpi-ISO8859-2
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-2.pcf.gz
%{_fontsdir}/100dpi/fonts.alias.%{name}-100dpi-ISO8859-2

%files 100dpi-ISO8859-3
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-3.pcf.gz

%files 100dpi-ISO8859-4
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-4.pcf.gz

#%files 100dpi-ISO8859-5
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-5.pcf.gz

#%files 100dpi-ISO8859-6
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-6.pcf.gz

#%files 100dpi-ISO8859-7
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-7.pcf.gz

#%files 100dpi-ISO8859-8
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-8.pcf.gz

%files 100dpi-ISO8859-9
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-9.pcf.gz

%files 100dpi-ISO8859-10
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-10.pcf.gz

#%files 100dpi-ISO8859-11
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-11.pcf.gz

#%files 100dpi-ISO8859-12
#%defattr(644,root,root,755)
#%%{_fontsdir}/100dpi/*ISO8859-12.pcf.gz

%files 100dpi-ISO8859-13
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-13.pcf.gz

%files 100dpi-ISO8859-14
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-14.pcf.gz

%files 100dpi-ISO8859-15
%defattr(644,root,root,755)
%{_fontsdir}/100dpi/*ISO8859-15.pcf.gz

#%files 100dpi-JISX0201.1976-0
#%defattr(644,root,root,755)

#%files 100dpi-KOI8-R
#%defattr(644,root,root,755)

%files Ethiopic
%defattr(644,root,root,755)
%{_fontsdir}/OTF/GohaTibebZemen.otf
%{_fontsdir}/TTF/GohaTibebZemen.ttf

%files Syriac
%defattr(644,root,root,755)
%doc xc/fonts/scaled/Meltho/{README,license.txt}
%{_fontsdir}/OTF/SyrCOM*.otf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: X11-fonts.spec,v $
Revision 1.26  2005/12/22 15:00:07  arekm
- up to 6.9.0

Revision 1.25  2005/11/07 16:35:16  glen
- rel 4 then

Revision 1.24  2005/11/06 21:41:06  glen
- this package is noarch, so copy perl version of ucs2any. other alternatives are
  - make this fonts package arch dependant again
  - or build X11-fonts-utils from X11.spec.
  besides the X11-fonts-utils package description already says package contains perl scripts.
- if you know any good reason why the binary one must be used, i'll make X11.spec produce X11-fonts-utils package

Revision 1.23  2005/10/31 11:34:21  glen
- rel 3

Revision 1.22  2005/10/23 11:48:18  glen
- noarch now, those old sparc obsoletes should be harmless

Revision 1.21  2005/10/23 11:28:29  glen
- full R: fontpostinst, rel 2

Revision 1.20  2005/02/27 17:11:20  qboosh
- X11R6.8.2

Revision 1.19  2004/11/14 18:02:50  havner
- we can enable X11 R's now
- rel 2

Revision 1.18  2004/10/27 11:28:34  qboosh
- cleanup: CID fonts have been removed from X.org
- don't try to build Speedo fonts by default - default X.org 6.8.x build doesn't support them

Revision 1.17  2004/09/27 10:23:24  ankry
- fonts-TTF_build patch renamed

Revision 1.16  2004/09/18 15:18:59  arekm
- use http rather than ftp

Revision 1.15  2004/09/18 15:10:33  arekm
- use tarballs from x.org

Revision 1.14  2004/09/17 23:41:55  arekm
- fetch new src

Revision 1.13  2004/08/30 14:47:49  qboosh
- -utils Group changed to X11

Revision 1.12  2004/08/20 10:48:36  havner
- rel 4

Revision 1.11  2004/08/20 08:21:03  ankry
- spaces -> tabs

Revision 1.10  2004/08/20 07:51:39  qboosh
- added missing Obsoletes for XFree86-fonts-100dpi-ISO8859-1

Revision 1.9  2004/08/17 20:03:39  havner
- obsoletes for XFree86 packages
- spaces -> tabs

Revision 1.8  2004/08/17 18:25:47  havner
- XFree86 requires, since it will have to be rebuild on builders
  with XFree86
- rel 3

Revision 1.7  2004/07/31 22:51:14  qboosh
- BR s/perl/perl-base/

Revision 1.6  2004/06/16 08:35:13  averne
- reverted my changes

Revision 1.5  2004/06/16 08:32:10  averne
- removed some BR's for rebuild with XFree86 devels

Revision 1.4  2004/05/17 23:00:09  kolodko
- added X11-devel and X11-imake to BR

Revision 1.3  2004/05/07 17:25:39  havner
- rel up

Revision 1.2  2004/04/19 16:43:38  arekm
- finish Xorg->X11 rename

Revision 1.1  2004/04/19 00:11:58  arekm
- new spec; builds fine
